from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XFeatureInvalidation(Protocol):
    def invalidateFeatures(self, Features: sequence< short >) -> None: ...
    def invalidateAllFeatures(self) -> None: ...
